Project-I
Home
API Test
Home
API Test
  1. Home
  • Start your Apidog journey
  • Introducing Apidog
  • Sample APIs
    • Find pet by ID
      GET
    • Add a new pet to the store
      POST
    • Update an existing pet
      PUT
    • Deletes a pet
      DELETE
    • Finds Pets by status
      GET
  • WebSocket Demo
  • Demo
    GET
  • Sample
    GET
  • GraphQL Demo
    POST
  • Get account aliase
    GET
  • Find User by ID
    GET
  • Get Account Summary
    GET
  • Demo_AWS Secrets Manager
    GET
  • Password Policy Check
    GET
  • Weather
    GET
  • Generate IAM Credential Report
    GET
  • Test
    GET
  • Analyse IAM Credential Report
    GET
  • Demo
    GET
  • List Users
    GET
  • List groups
    GET
  • List Roles
    GET
  • List Policies
    GET
  • Generate Service Last Accessed Details
    GET
  • Get Service Last Accessed Details
    GET
  • Post to Slack
    POST
  • Schemas
    • Schemas
      • Pet
      • ApiResponse
      • Category
      • Tag
      • Order
      • User
    • RequestBodies
      • UserArray
  1. Home

Sample

Developing
GET
/pet/{id}
7/23

Request

Authorization
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Path Params

Responses

🟢200Success
application/json
Body

🟢200OK
🟠404Record not found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://mock.apidog.com/m1/1012399-0-default/pet/' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "id": "s_pSQddLYuMpDeTcFoPgV",
    "data": {
        "id": 25950299,
        "category": {
            "id": -61764021,
            "name": "Peter Wilderman"
        },
        "name": "doggie",
        "photoUrls": [
            "https://loremflickr.com/400/400?lock=8618653797238674"
        ],
        "tags": [
            {
                "id": 31558060,
                "name": "Willie Skiles"
            },
            {
                "id": -60691071,
                "name": "Brent Lang PhD"
            },
            {
                "id": 90475619,
                "name": "Tanya Wilderman"
            }
        ],
        "status": "sold"
    }
}
Modified at 2025-07-23 07:22:15
Previous
Demo
Next
GraphQL Demo
Built with